| CE Gobi SDK 2.14 GobiApi

- Main Page
- Modules
- Classes
- Files

Functions
Sierra Wireless OMADM-EX APIs

## Functions
SWIIMPORT ULONG GOBICMAPI | SWIOMAEXInitApi ()
SWIIMPORT ULONG GOBICMAPI | SWIOMAEXShutdownApi ()
SWIIMPORT ULONG SWICMAPI | SWIOMAEXSessionStart (BYTE *pSessionType)
SWIIMPORT ULONG SWICMAPI | SWIOMAEXSessionCancel ()
SWIIMPORT ULONG SWICMAPI | SWIOMAEXSessionGetInfo (omaSessionInfo *pOMAInfo)
SWIIMPORT ULONG SWICMAPI | SetSWIOMAEXEventCallback (tFNSwiOmaExEvent pCallback)
SWIIMPORT ULONG SWICMAPI | SWIOMAEXSelection (BYTE *pSelection)
SWIIMPORT ULONG SWICMAPI | SWIOMAEXGetSettings (BYTE *pFOTA_AutoDownload, BYTE *pFOTA_AutoUpdate, BYTE *pOMADM, BYTE *pFUMO, BYTE *pOMALog, BYTE *pPRL)
SWIIMPORT ULONG SWICMAPI | SWIOMAEXSetSettings (BYTE *pFOTA_AutoDownload, BYTE *pFOTA_AutoUpdate, BYTE *pOMADM, BYTE *pFUMO, BYTE *pOMALog, BYTE *pPRL)
SWIIMPORT ULONG SWICMAPI | SWIOMAEXSetEventReport ()

## Detailed Description

## Function Documentation

SWIIMPORT ULONG SWICMAPI SetSWIOMAEXEventCallback | ( | tFNSwiOmaExEvent | pCallback | ) |

This message is sent by the service to a control point to output the information of OMA. QMI_SWIOMA_EX_EVENT_IND_MSG = 0x0004

Returns
  See GobiErrorCodes.h

SWIIMPORT ULONG SWICMAPI SWIOMAEXGetSettings | ( | BYTE * | pFOTA_AutoDownload,
|  | BYTE * | pFOTA_AutoUpdate,
|  | BYTE * | pOMADM,
|  | BYTE * | pFUMO,
|  | BYTE * | pOMALog,
|  | BYTE * | pPRL
| ) |  |

This message used to get the currently settings of OMA module. QMI_SWIOMA_EX_GET_SETTINGS_MSG = 0x0006

Parameters

  BYTE* | pFOTA_AutoDownload, 0 – FOTA auto download disable 1 – FOTA auto download enable
  BYTE* | pFOTA_AutoUpdate, 0 – FOTA auto update disable 1 – FOTA auto update enable
  BYTE* | pOMADM, 0 –OMA DM disable 1 – OMA DM enable
  BYTE* | pFUMO, 0 –FUMO disable 1 – FUMO enable
  BYTE* | pOMALog, 0 –OMA log disable 1 – OMA log enable
  BYTE* | pPRL 0 – PRL disable 1 – PRL enable

Returns
  See GobiErrorCodes.h

SWIIMPORT ULONG SWICMAPI SWIOMAEXSelection | ( | BYTE * | pSelection | ) |

This message is used for inputting user selection to OMA module. QMI_SWIOMA_EX_SELECTION_MSG = 0x0005

Parameters

  pSelection | 0 – user selects “NO” 1 – user selects “YES/OK” 2 – user selects “Delay” 3 – user selects “Delay one hour” 4 – user selects “Delay four hours” 5 – user selects “delay until 2:00 AM”

Returns
  See GobiErrorCodes.h

SWIIMPORT ULONG SWICMAPI SWIOMAEXSessionCancel | ( |  | ) |

This message used to send a cancel command to OMA module. QMI_SWIOMA_EX_SESSION_CANCEL_MSG = 0x0002;

Returns
  See GobiErrorCodes.h

SWIIMPORT ULONG SWICMAPI SWIOMAEXSessionGetInfo | ( | omaSessionInfo * | pOMAInfo | ) |

This message used to get the currently information of OMA module. QMI_SWIOMA_EX_SESSION_GETINFO_MSG = 0x0003

Returns
  See GobiErrorCodes.h

SWIIMPORT ULONG SWICMAPI SWIOMAEXSessionStart | ( | BYTE * | pSessionType | ) |

This message requests the device to perform an OMA-DM session. The success response of this message indicates that the activation request has been accepted, but it does not sure that the session will be invoked at last, it just means this request has been put into the waiting queue of OMA session. When the there is a pending retrying HFA DC, this interface can be used to activate the HFA session immediately. QMI_SWIOMA_EX_SESSION_START_MSG = 0x0001

Parameters

  pSessionType | [I] 0 – CI DC 1 – CI FUMO 2 - device initiated FUMO session 3 - device initiated DM session 4 – CI PRL 5 - user initiated HFA

Returns
  See GobiErrorCodes.h

SWIIMPORT ULONG SWICMAPI SWIOMAEXSetEventReport | ( |  | ) |

This message registers QMI to the OMA module, after registration, device can put OMA information to host through SWIOMADM_CMD_VAL_EVENT_IND message. QMI_SWIOMA_EX_SET_EVENT_REPORT_MSG = 0x0008

Returns
  See GobiErrorCodes.h

SWIIMPORT ULONG SWICMAPI SWIOMAEXSetSettings | ( | BYTE * | pFOTA_AutoDownload,
|  | BYTE * | pFOTA_AutoUpdate,
|  | BYTE * | pOMADM,
|  | BYTE * | pFUMO,
|  | BYTE * | pOMALog,
|  | BYTE * | pPRL
| ) |  |

This message used to set the control switch of OMA module. QMI_SWIOMA_EX_SET_SETTINGS_MSG = 0x0007

Parameters

  BYTE* | pFOTA_AutoDownload, 0 – FOTA auto download disable 1 – FOTA auto download enable
  BYTE* | pFOTA_AutoUpdate, 0 – FOTA auto update disable 1 – FOTA auto update enable
  BYTE* | pOMADM, 0 –OMA DM disable 1 – OMA DM enable
  BYTE* | pFUMO, 0 –FUMO disable 1 – FUMO enable
  BYTE* | pOMALog, 0 –OMA log disable 1 – OMA log enable
  BYTE* | pPRL 0 – PRL disable 1 – PRL enable

Returns
  See GobiErrorCodes.h